From ed02cf8237bb316a7b64222062617d351b7f021d Mon Sep 17 00:00:00 2001
From: Uthayakumar Muthu <uthayakumar.muthu@multicorewareinc.com>
Date: Mon, 4 Nov 2024 15:54:15 +0530
Subject: [PATCH] Fix pointer warning in x265

---
 source/encoder/analysis.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/source/encoder/analysis.cpp b/source/encoder/analysis.cpp
index c99c796af..6c72283f3 100644
--- a/source/encoder/analysis.cpp
+++ b/source/encoder/analysis.cpp
@@ -157,9 +157,9 @@ Mode& Analysis::compressCTU(CUData& ctu, Frame& frame, const CUGeom& cuGeom, con
         calculateNormFactor(ctu, qp);
 
     uint32_t numPartition = ctu.m_numPartitions;
-    if (m_param->bCTUInfo && (*m_frame->m_ctuInfo + ctu.m_cuAddr))
+    if (m_param->bCTUInfo && m_frame->m_ctuInfo && m_frame->m_ctuInfo[ctu.m_cuAddr])
     {
-        x265_ctu_info_t* ctuTemp = *m_frame->m_ctuInfo + ctu.m_cuAddr;
+        x265_ctu_info_t* ctuTemp = m_frame->m_ctuInfo[ctu.m_cuAddr];
         int32_t depthIdx = 0;
         uint32_t maxNum8x8Partitions = 64;
         uint8_t* depthInfoPtr = m_frame->m_addOnDepth[ctu.m_cuAddr];
-- 
2.39.2

